USN-3353-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3353-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3353-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3353-1
Related
Published
2017-07-14T19:36:52.513140Z
Modified
2017-07-14T19:36:52.513140Z
Summary
heimdal vulnerability
Details

Jeffrey Altman, Viktor Dukhovni, and Nicolas Williams discovered that Heimdal clients incorrectly trusted unauthenticated portions of Kerberos tickets. A remote attacker could use this to impersonate trusted network services or perform other attacks.

References

Affected packages

Ubuntu:14.04:LTS / heimdal

Package

Name
heimdal

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.6~git20131207+dfsg-1ubuntu1.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libasn1-8-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "heimdal-clients": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libhdb9-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libgssapi3-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libkrb5-26-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libsl0-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libkadm5srv8-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "heimdal-servers": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libhcrypto4-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libotp0-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "heimdal-clients-x": "1.6~git20131207+dfsg-1ubuntu1.2",
            "heimdal-docs": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libwind0-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "heimdal-kcm": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libkafs0-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libheimbase1-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libroken18-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "heimdal-servers-x": "1.6~git20131207+dfsg-1ubuntu1.2",
            "heimdal-dev": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libkdc2-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "heimdal-kdc": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libhx509-5-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libheimntlm0-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "libkadm5clnt7-heimdal": "1.6~git20131207+dfsg-1ubuntu1.2",
            "heimdal-multidev": "1.6~git20131207+dfsg-1ubuntu1.2"
        }
    ]
}

Ubuntu:16.04:LTS / heimdal

Package

Name
heimdal

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.7~git20150920+dfsg-4ubuntu1.16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libasn1-8-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "heimdal-clients": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libhdb9-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libgssapi3-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libkrb5-26-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libsl0-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libkadm5srv8-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "heimdal-servers": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libhcrypto4-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libotp0-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "heimdal-docs": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libwind0-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "heimdal-kcm": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libkafs0-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libheimbase1-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libroken18-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "heimdal-dev": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libkdc2-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "heimdal-kdc": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libhx509-5-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libheimntlm0-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "libkadm5clnt7-heimdal": "1.7~git20150920+dfsg-4ubuntu1.16.04.1",
            "heimdal-multidev": "1.7~git20150920+dfsg-4ubuntu1.16.04.1"
        }
    ]
}